<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.0.0/dist/css/bootstrap.min.css"
        integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>

    <title>OTP</title>
</head>
<style>
    #dongho {
        margin: 30px;
        font-size: 5em;
        font-weight: bold;
        color: red;
    }
</style>


<body>
    <form method="POST" action="/otp">
        <% if (locals.errorMessage) { %>
            <div class="alert alert-danger" id="alert">
                <%= errorMessage %>
            </div>
            <% } %>
                <h1>Vui lòng điền mã OTP</h1>
                <div class="form-control">
                    <div class="form-group">
                        <label>Mã OPT</label>
                        <input type="text" name="otp" inputmode="numeric" onkeypress="return AllowOnlyNumbers()"
                            >
                    </div>
                    <div id="divCounter"></div>


                 
                    <div>
                        <button type="submit" class="btn btn-primary">
                            Xác nhận
                        </button>
                    </div>
                </div>
    </form>
    <div class="form-group">
        <form action="/otp/resend" method="post">
            <button type="submit" onclick="set60s()">
                Gửi lại mã OTP
            </button>
        </form>
    </div>
</body>

</html>
<script>

setTimeout(function() {
    $('#alert').fadeOut('fast');
}, 1000); 

    if (sessionStorage.getItem("counter")) {
        if (sessionStorage.getItem("counter") <= 0) {
            var value = 0 + "0";
        } else {
            var value = sessionStorage.getItem("counter");
        }
    } else {
        var value = 59;
    }

    document.getElementById('divCounter').innerHTML = "00:" + value;

    var counter = function () {
        if (value <= 0) {
            sessionStorage.removeItem("counter");
        } else {
            value = parseInt(value) - 1;
            sessionStorage.setItem("counter", value);
        }
        document.getElementById('divCounter').innerHTML = "00:" + value;
    };
    

    var interval = setInterval(counter, 1000);
    function set60s() {
        if (value == 0) {

            if (sessionStorage.getItem("counter")) {
                if (sessionStorage.getItem("counter") <= 0) {
                    var value = 0 + "0";
                } else {
                    var value = sessionStorage.getItem("counter");
                }
            } else {
                var value = 59;
            }

            document.getElementById('divCounter').innerHTML = "00:" + value;

            var counter = function () {
                if (value <= 0) {
                    sessionStorage.removeItem("counter");
                } else {
                    value = parseInt(value) - 1;
                    sessionStorage.setItem("counter", value);
                }
                document.getElementById('divCounter').innerHTML = "00:" + value;
            };

            var interval = setInterval(counter, 1000);
        }

    }

    function AllowOnlyNumbers(e) {

        e = (e) ? e : window.event;
        var clipboardData = e.clipboardData ? e.clipboardData : window.clipboardData;
        var key = e.keyCode ? e.keyCode : e.which ? e.which : e.charCode;
        var str = (e.type && e.type == "paste") ? clipboardData.getData('Text') : String.fromCharCode(key);

        return (/^\d+$/.test(str));
    }
    
    $(document).ready(function () {

        if (window.history.replaceState) {
            window.history.replaceState(null, null, window.location.href);
        }
        $(window).keydown(function (event) {

            if (event.keyCode == 116) {
                event.preventDefault();



                
                return false;

            }

        });

    });
</script>